Last Comment Bug 803651 - Firefox Mobile 18 German localization
: Firefox Mobile 18 German localization
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: de / German (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Sebastian H. [:aryx][:archaeopteryx]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 12:24 PDT by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2012-11-04 07:51 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Firefox Mobile 18 German localization, v1, patch (16.85 KB, patch)
2012-10-19 12:24 PDT, Sebastian H. [:aryx][:archaeopteryx]
kairo: review+
Details | Diff | Review

Description Sebastian H. [:aryx][:archaeopteryx] 2012-10-19 12:24:00 PDT
Created attachment 673355 [details] [diff] [review]
Firefox Mobile 18 German localization, v1, patch

Dies ist die erste Version der Übersetzung für Firefox Mobile 18.

Anmerkungen:
Ein paar Textstücke sind noch zu lang, aber lasst uns erst einmal eine Version damit bauen, sodass wir das besser abschätzen können.
Comment 1 Robert Kaiser (not working on stability any more) 2012-10-25 16:26:14 PDT
Comment on attachment 673355 [details] [diff] [review]
Firefox Mobile 18 German localization, v1, patch

Review of attachment 673355 [details] [diff] [review]:
-----------------------------------------------------------------

::: mobile/android/base/android_strings.dtd
@@ +185,5 @@
>       clicking this text in the promotions box will perform some action. Note
>       that a non-breaking space (unicode= U+00A0) should be used between this
>       character and the remainder of the string to prevent word wrap. -->
>  <!ENTITY abouthome_about_sync3 "Richten Sie Firefox-Sync ein, um auf Lesezeichen, Chronik und Tabs von anderen Geräten aus zuzugreifen.&#x00A0;»">
> +<!ENTITY abouthome_about_apps3 "Holen Sie sich Apps aus dem Firefox Marketplace und entdecken Sie das Beste, was das Web zu bieten hat.&#x00A0;»">

Hmm, Sollte der nach deutschem Standard einen Bindestrich bekommen, also "Firefox-Marketplace"?

@@ +191,5 @@
>       These strings are accentuated as bold text in the "abouthome_about_..."
>       strings above. These strings should be a subset of the strings above and
>       generally be the name of the product the string describes. -->
>  <!ENTITY abouthome_sync_bold_name "Firefox-Sync">
> +<!ENTITY abouthome_apps_bold_name2 "Firefox Marketplace">

Wenn, dann auch hier.

@@ +225,5 @@
>  
> +<!-- Localization note (suggestions_prompt): The placeholder (&#037;s) should
> +     be kept in the string; this will be replaced with the name of the search
> +     engine. -->
> +<!ENTITY suggestions_prompt "Möchten Sie Suchvorschläge von &#037;s erhalten?">

Wir versuchen, "möchten" eher nicht zu verwenden und normalerweise mit "soll" zu umgehen - hier stellt sich auch die Frage, ob das auf einem Handy noch Platz hat, oder ob wir überhaupt auf "Suchvorschläge von &#037;s erhalten?" kürzen sollten.

@@ +238,4 @@
>  
> +<!ENTITY updater_downloading_title2 "Lädt &brandShortName; herunter">
> +<!ENTITY updater_downloading_title_failed2 "Fehler beim Herunterladen">
> +<!ENTITY updater_downloading_select2 "Zur Aktualisieren nach dem Herunterladen antippen">

"Zur Aktualisieren"?

::: mobile/android/chrome/aboutApps.dtd
@@ +4,5 @@
>  <!-- LOCALIZATION NOTE (aboutApps.noApps.pre): include a trailing space as needed -->
>  <!-- LOCALIZATION NOTE (aboutApps.noApps.middle): avoid leading/trailing spaces, this text is a link -->
>  <!-- LOCALIZATION NOTE (aboutApps.noApps.post): include a starting space as needed -->
>  <!ENTITY aboutApps.noApps.pre "Keine Web-Apps installiert. Laden Sie welche aus dem ">
> +<!ENTITY aboutApps.noApps.middle3 "Firefox Marketplace">

Und falls, dann auch hier mit Bindestrich.
Comment 2 Sebastian H. [:aryx][:archaeopteryx] 2012-10-26 00:59:42 PDT
> Hmm, Sollte der nach deutschem Standard einen Bindestrich bekommen, also
> "Firefox-Marketplace"?
Der Marktplatz ist noch nicht lokalisiert, aber "Firefox Marketplace" scheint eine nicht-lokalisierbare Marke wie "Mozilla Add-ons" zu sein, siehe https://marketplace.mozilla.org/
Coce ist jetzt im CC, vielleicht kann er etwas dazu sagen.

> > +<!ENTITY suggestions_prompt "Möchten Sie Suchvorschläge von &#037;s erhalten?">
Vorschlag: "Sollen Suchvorschläge von &#037;s angezeigt werden?"
Der Platz ist vorhanden, das erstreckt sich auch im Englischen über zwei Zeilen (im Hochformat). Mobile kompiliere ich nicht selbst, sondern überprüfe die Zeichenstücke jeweils nach dem Hochladen noch einmal (was ich bei Desktopversionen schon vorher durch erzeugte Sprachpakete machen kann).

> > +<!ENTITY updater_downloading_select2 "Zur Aktualisieren nach dem Herunterladen antippen">
> 
> "Zur Aktualisieren"?
/Zur/Zum/
Comment 3 Robert Kaiser (not working on stability any more) 2012-10-26 06:30:19 PDT
(In reply to Archaeopteryx [:aryx] from comment #2)
> > > +<!ENTITY suggestions_prompt "Möchten Sie Suchvorschläge von &#037;s erhalten?">
> Vorschlag: "Sollen Suchvorschläge von &#037;s angezeigt werden?"

Klingt gut - und danke für den Hinweis mit dem Zweizeiler (ich hab kein Android-Handy).
Comment 4 Michael Köhler [:Coce] 2012-10-27 08:01:51 PDT
Also zum Thema Marktplatz/Marketplace kann ich eigentlich auch nichts beitragen. ;-) Momentan übersetze ich es zwar auf AMO überall mit „Marktplatz“ aber einen offiziellen Standpunkt zur Frage der Übersetzung habe ich bisher nicht gehört.

So oder so, wenn es bei „Marketplace“ bleibt, würde ich eher einen Bindestrich setzen, so wie bei „Firefox-Sync“.
Comment 5 Sebastian H. [:aryx][:archaeopteryx] 2012-10-27 12:29:47 PDT
CCing Pike, der kann die Frage, ob "Firefox Marketplace" lokalisierbar ist und falls ja, ob "Firefox-Marketplace" und/oder "Firefox-Marktplatz"  akzeptiert werden, an die richtigen Stellen weiterleiten. Marktplatz hätte den Vorteil, dass es nur aus zwei Silben besteht und daher eher angenommen wird.
Comment 6 Axel Hecht [:Pike] 2012-10-27 15:44:18 PDT
Kannst du einen bug in Englisch filen, um "Firefox Marketplace" zu diskutieren? Bis jetzt habe ich nur gegenteilige Meinungen gehoert, aber vielleicht weiss Barbara, wie wir in Deutschland ueber den Marketplace reden.
Comment 7 bhueppe 2012-10-29 12:25:06 PDT
Habe bei Produkt und Brand nachgefragt: Marketplace ist wie Sync eine Marke und soll nicht übersetzt werden.
Comment 8 Robert Kaiser (not working on stability any more) 2012-10-29 12:30:56 PDT
(In reply to bhueppe from comment #7)
> Habe bei Produkt und Brand nachgefragt: Marketplace ist wie Sync eine Marke
> und soll nicht übersetzt werden.

OK, aber eine Schreibung mit Bindestrich, wie auch bei Sync, um sich in die Regeln der deutschen Sprache einzufügen, ist hoffentlich OK?
Comment 9 bhueppe 2012-10-29 12:32:08 PDT
klar doch. I ;-)
Comment 10 Sebastian H. [:aryx][:archaeopteryx] 2012-10-30 14:22:26 PDT
Hochgeladen, Bug bleibt offen, weil die Überprüfung im Produkt noch stattfinden muss.
Comment 11 Sebastian H. [:aryx][:archaeopteryx] 2012-10-30 14:23:23 PDT
http://hg.mozilla.org/releases/l10n/mozilla-aurora/de/rev/ed8f9e880207
Comment 12 Sebastian H. [:aryx][:archaeopteryx] 2012-11-04 07:51:27 PST
Resolved fixed nach Überprüfung.

Die Texte für den Updater werden teilweise abgeschnitten, es sollte aber aus dem sichtbaren Teil hervorgehen, was gemeint ist.

Beim Reader habe ich die Texte nicht angezeigt bekommen, ebenso bei den helperapps* und button_* Strings, welche aber kurz sind und so funktionieren sollten.

Note You need to log in before you can comment on or make changes to this bug.